# Class TlogDestinationFile

  Thelia\Log\AbstractTlogDestination
  Thelia\Log\Destination\TlogDestinationFile

Namespace: Thelia\Log\Destination
Located at core/lib/Thelia/Log/Destination/TlogDestinationFile.php

Methods summary
`public` | # `__construct( )` #### Overrides `Thelia\Log\AbstractTlogDestination::__construct()`
`public` | # `configure( )` #### Overrides `Thelia\Log\AbstractTlogDestination::configure()`
`public` | # `getTitle( )`
`public` | # `getDescription( )`
`public` | # `getConfigs( )` #### Overrides `Thelia\Log\AbstractTlogDestination::getConfigs()`
`public` | # `add( mixed $texte )` #### Overrides `Thelia\Log\AbstractTlogDestination::add()`
`public` | # `write( mixed & $res )`

Methods inherited from Thelia\Log\AbstractTlogDestination
`InsertAfterBody(), SetBackOfficeMode(), getConfig(), setConfig()`

Constants summary
`string` | `VAR_PATH_FILE` | `"tlog_destinationfile_path"` | #
`string` | `TLOG_DEFAULT_NAME` | `"log-thelia.txt"` | #
`string` | `VAR_MODE` | `"tlog_destinationfile_mode"` | #
`string` | `VALEUR_MODE_DEFAULT` | `"A"` | #

Properties summary
`protected boolean` | $path_defaut | `false` | #
`protected boolean` | $fh | `false` | #

Properties inherited from Thelia\Log\AbstractTlogDestination
`$_configs, $_logs, $flag_back_office`